UMFPACK error

classic Classic list List threaded Threaded
1 message Options
Reply | Threaded
Open this post in threaded view
|

UMFPACK error

Gideon Simpson
Not sure what I've done wrong, but I fed numpy the locations of my  
UMFPACK and AMD software, and both numpy 1.0.4 and scipy 0.6.0 seemed  
to install properly.  Also their test suites ran as expected.  
However, if I do

from scipy import *

I get:

Traceback (most recent call last):
   File "<stdin>", line 1, in <module>
   File "/opt/lib/python2.5/site-packages/scipy/linsolve/__init__.py",  
line 5, in <module>
     import umfpack
   File "/opt/lib/python2.5/site-packages/scipy/linsolve/umfpack/
__init__.py", line 3, in <module>
     from umfpack import *
   File "/opt/lib/python2.5/site-packages/scipy/linsolve/umfpack/
umfpack.py", line 186, in <module>
     UMFPACK_WARNING_determinant_underflow :  
'UMFPACK_WARNING_determinant_underflow',
NameError: name 'UMFPACK_WARNING_determinant_underflow' is not defined



-gideon

_______________________________________________
SciPy-user mailing list
[hidden email]
http://projects.scipy.org/mailman/listinfo/scipy-user